View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000417OpenFOAM[All Projects] Bugpublic2012-02-08 18:352014-07-06 15:37
ReporterLeech 
Assigned Tohenry 
PriorityurgentSeveritycrashReproducibilityalways
StatusclosedResolutionno change required 
PlatformCore i7-2600KOSKubuntuOS Version11.10 x64
Product Version2.1.x 
Target VersionFixed in Version 
Summary0000417: Issues on the floatingObject tutorial. Multiple crash scenarios.
DescriptionWhile working with floatingObjects i run into crashes i couldn't understand. The multicore crash issue was reported by me and seems to be solved on 2.1.x. Thanks for that! After still crashing my case single and multicore i tested the floatingObject tutorial and only changed small things to find out crashing causes. So far i found four scenarios that crash. All four cases are appended with their log-file.

(1) When the box in which the object floats is made bigger (double) and nothing else is changed (not even height of the water) the case crashes. I also did a case where i only changed the height of the box (so more air is over the water) which didn't crashed. I tried to refine the mesh but it still crashes. Also reducing the time step was tested. Case name: floatingObjectBIGBOX

(2) When the floating object is made smaller (half-size) and the rest is unchanged, the case crashes. Box seems to fall to the bottom of the box. Reducing the weight didnt changed a thing. Case name: floatingObjectSMALLOBJECT

(3) In the original tutorial the centre of mass of the object is lower then the water surface. The heights used are floating numbers (i mean 0,5368). Changing the water height to the centre of mass or lowering the centre of mass gets the case crashing. In the case appended the water height is changed to 0.5 as the centre of mass is. Case name: floatingObjectHEIGHTCENTREOFMASS

(4) When the box height is cahnged to '2' (which works) and then the water height is changed and also the object is adjusted to that new water height(with the centre of mass) the case crashes. This may is the same as in (3). Case name: floatingObjectHIGHERWATERANDOBJECT

In the animation for the time steps solved, it looks like the object is falling to the bottom of the box. I tried to set restraints in the point displacement (One linear spring and three (!) fixed lines), but the object still moves.
Steps To ReproduceRun the Allrun script in the case folders.
Additional InformationOpenFOAM-2.1.x d250b0afcc64
TagsNo tags attached.
Attached Filesrar file icon Cases.rar [^] (340,689 bytes) 2012-02-08 18:35

- Relationships

-  Notes
(0001137)
Sergio (developer)
2012-03-13 17:32

the first case seems to converge if you use limited schemes for the laplacian.
the second case should try reducing the Co number, increasing the number of inner iterations, etc
the other cases should be looked at individually to asses.

Regards
(0003149)
haze_1986 (reporter)
2014-07-06 12:59

Obtained the same issues as the original poster. All verified, and would like to add that increasing the mesh resolution 2x does not crash the original floatingObject tutorial.

An additional question, not sure how the object mass of 9.6 was obtained. Is it based on buoyancy laws?
(0003150)
henry (manager)
2014-07-06 15:35

Please upgrade to OpenFOAM-2.3.x.

- Issue History
Date Modified Username Field Change
2012-02-08 18:35 Leech New Issue
2012-02-08 18:35 Leech File Added: Cases.rar
2012-03-13 17:32 Sergio Note Added: 0001137
2014-07-06 12:59 haze_1986 Note Added: 0003149
2014-07-06 15:35 henry Note Added: 0003150
2014-07-06 15:35 henry Status new => closed
2014-07-06 15:37 henry Assigned To => henry
2014-07-06 15:37 henry Resolution open => no change required